Bug 1002508 - Updated to install any packages "An Curl handle error: Unsupported protocol"
Updated to install any packages "An Curl handle error: Unsupported protocol"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On: 988296
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 07:00 EDT by Daniel Berrange
Modified: 2014-09-30 19:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: librepo-1.0.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:29:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2013-08-29 07:00:14 EDT
Description of problem:
I seem to be unable to install any updates with current DNF from F19 repos. 

# dnf clean all
Cleaning repos: fedora fedora-gimp-goat-invasion bigv updates adobe-linux-x86_64
Cleaning up Everything
[root@localhost ~]# dnf install wireshark-devel
Fedora 19 - x86_64                                                       |  35 MB  00:01:01     
builds of gimp from git master                                           |  39 kB  00:00:00     
Fedora 19 - x86_64 - Updates                                             |  15 MB  00:00:49     
Adobe Systems Incorporated                                               | 1.8 kB  00:00:00     
Setting up Install Process
Resolving Dependencies
--> Starting dependency resolution
---> Package wireshark-devel.x86_64 1.10.0-2.fc19 will be installed
--> Finished dependency resolution

Dependencies Resolved

================================================================================================
 Package                    Arch              Version                  Repository          Size
================================================================================================
Installing:
 wireshark-devel            x86_64            1.10.0-2.fc19            updates            935 k

Transaction Summary
================================================================================================
Install  1 Package

Total download size: 935 k
Installed size: 935 k
Is this ok [y/N]: y
Downloading Packages:
Error Downloading Packages:
  wireshark-devel-1.10.0-2.fc19.x86_64: Problem with repo 'updates': An Curl handle error: Unsupported protocol

Bug 998464 indicates this is (possibly?) fixed in rawhide, but I don't find any update pending for F19, hence this new bug report.

Version-Release number of selected component (if applicable):
dnf-0.3.11-1.git7d717c7.fc19.noarch
librepo-0.0.5-3.fc19.x86_64

How reproducible:
Always, on this machine at least.

Steps to Reproduce:
1. yum install foo
2.
3.

Actual results:
Problem with repo 'updates': An Curl handle error: Unsupported protocol

Expected results:
Package is installed.

Additional info:
Comment 1 Ales Kozumplik 2013-08-29 09:04:33 EDT
hey, thanks for the report! I've seen this too and this actually fixed already on the master branch (36492d2) and should make it into the package soon.
Comment 2 Ales Kozumplik 2013-08-30 06:55:01 EDT
Fixed in f20 and f21 in dnf-0.4.0.
Comment 3 Daniel Berrange 2013-08-30 07:01:17 EDT
NB, this request / bug is requesting a fix in F19.
Comment 4 Ales Kozumplik 2013-08-30 07:04:35 EDT
Yes, and it's coming.
Comment 5 Ales Kozumplik 2013-08-30 07:38:09 EDT
Turns out the f19 fix is blocked by an f19 fix to bug 988296.
Comment 6 Fedora Update System 2013-09-03 10:39:58 EDT
librepo-1.0.0-1.fc19, dnf-0.3.11-2.git54f55e0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnf-0.3.11-2.git54f55e0.fc19,librepo-1.0.0-1.fc19
Comment 7 Fedora Update System 2013-09-03 18:31:57 EDT
Package librepo-1.0.0-1.fc19, dnf-0.3.11-2.git54f55e0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing librepo-1.0.0-1.fc19 dnf-0.3.11-2.git54f55e0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15734/dnf-0.3.11-2.git54f55e0.fc19,librepo-1.0.0-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-09-04 21:29:00 EDT
librepo-1.0.0-1.fc19, dnf-0.3.11-2.git54f55e0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.